# -*- coding: utf-8 -*-

from django.contrib import admin
from django_admin import ReadOnlyModelAdmin

from logs.models import MchLogInfo


class MchLogInfoAdmin(ReadOnlyModelAdmin, admin.ModelAdmin):
    list_display = ('log_id', 'log_file', 'operator_id', 'app_version', 'status', 'created_at', 'updated_at')
    list_filter = ('operator_id', 'app_version', 'status')
    search_fields = ('operator_id', 'app_version')


admin.site.register(MchLogInfo, MchLogInfoAdmin)
